@import url("https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&family=Noto+Sans+TC:wght@100..900&display=swap");

body {
  color: var(--gray100);
  box-sizing: border-box;
  font-family: "Noto Sans TC", sans-serif;
}

.sideNavWrap a {
  color: var(--gray100);
  text-decoration: none;
}
.wrapper p {
  line-height: 160%;
  text-align: justify;
  overflow-wrap: break-word;
}
button {
  background-color: transparent;
  border: 0;
  flex-shrink: 0;
}

/* color */
:root {
  --primary100: #18b7cd;
  --white100: #fff;
  --orange: #fe7b31;
  --brand100: #bd8a55;
  --brand60: #d7b999;
  --brand15: #f5eee6;
  --gray100: #383838;
  --gray80: #606060;
  --gray60: #888;
  --gray15: #e1e1e1;
  --black5: #f2f2f2;
  --red: #f50000;
  --blue: #084896;
  --green: #4ba26d;
  --yellowLight: #ffea2f;
}
.wrapper {
  min-width: 70%;
  box-sizing: border-box;
}
/* heroBanner */
.heroBanner,
.heroBanner_mb {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}
.heroBanner > img,
.heroBanner_mb > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.heroBanner > a > button,
.heroBanner_mb > a > button {
  background-color: var(--orange);
  padding: 0.5em 2em;
  border: 2px solid var(--white100);
  color: var(--white100);
  border-radius: 99px;
  font-size: 1rem;
  cursor: pointer;
}
.heroBanner > a,
.heroBanner_mb > a {
  position: absolute;
  top: 68%;
}
.heroBanner > a > button:hover,
.heroBanner_mb > a > button:hover {
  background-color: var(--white100);
  color: var(--orange);
}
.heroBanner_mb {
  display: none;
}

/* tabs */
.staticPage_tabsWarp {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  /* overflow: auto; */
}
.radio {
  display: none;
}
#one:checked ~ .panels #one-panel,
#two:checked ~ .panels #two-panel,
#three:checked ~ .panels #three-panel {
  display: block;
}
#one:checked ~ .staticPage_tabs #one-tab,
#two:checked ~ .staticPage_tabs #two-tab,
#three:checked ~ .staticPage_tabs #three-tab {
  background: var(--brand100);
  color: var(--white100);
}

.staticPage_tabs {
  width: 100%;
  display: flex;
  justify-content: center;
  position: sticky;
  top: 0;
  background: rgba(255, 255, 255, 0.98);
  box-shadow: 0 3px 20px 0 rgba(0, 0, 0, 0.1);
  z-index: 2;
}
.staticPage_tab {
  cursor: pointer;
  padding: 1em;
  display: inline-block;
}
.panels {
  width: 100%;
}
.panel {
  display: none;
  animation: fadein 0.8s;
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.panelBox {
  padding: 4em 15%;
}

.panel-title,
.panel-subtitle,
.main-title,
.main-subtitle,
.faqSearch-title {
  font-size: 1.75rem;
  font-weight: 500;
  margin: 0.8em auto;
}
.panel-title,
.main-title {
  color: var(--brand100);
}
.panelGroup {
  display: flex;
  gap: 1.2em;
  flex-wrap: wrap;
}
.panelGroup > li {
  display: flex;
  padding: 2em;
  flex-direction: column;
  align-items: center;
  flex: 1 0 23%;
  align-self: stretch;
  border-radius: 1em;
  background: var(--white100);
  box-shadow: 0 1px 20px 0 rgba(0, 0, 0, 0.1);
}

.panel-subtitle {
  color: var(--gray60);
}

/* mainArea */
.mainAreaWrap {
  width: 100%;
  display: flex;
  padding: 4em 15%;
  gap: 4em;
  box-sizing: border-box;
}
.main-subtitle {
  font-size: 1.1rem;
  margin-top: 2em;
}

/* main */
.mainWrap {
  width: 75%;
}
.d-none {
  display: none;
}
.mt05 {
  margin-top: 0.5em;
}
.mt25 {
  margin-top: 2.5em;
}

.main-select {
  margin: 0;
  padding: 0;
  position: relative;
  box-sizing: border-box;
  border: 1px solid var(--gray15);
  background-color: var(--white100);
  border-radius: 0.5em;
  margin-bottom: 1em;
  display: inline-block;
}
.main-select select {
  font-size: 1rem;
  font-weight: normal;
  max-width: 100%;
  padding: 1em 8em 1em 1em;
  border: none;
  background-color: transparent;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.main-select select:active,
.main-select select:focus {
  outline: none;
  box-shadow: none;
}
.main-select:after {
  content: "";
  position: absolute;
  top: 50%;
  right: 8px;
  width: 0;
  height: 0;
  margin-top: -2px;
  border-top: 5px solid var(--gray60);
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
}
.main-select-title {
  padding-right: 0.5em;
  font-size: 0.8rem;
  color: var(--gray80);
}
/* top */
#backtop {
  display: none; /* 預設隱藏 */
  position: fixed;
  bottom: 6em;
  right: 3em;
  width: 3em;
  height: 3em;
  z-index: 9997;
  background-color: #595757;
  color: var(--white100);
  border: none;
  cursor: pointer;
}

/* 滑鼠懸停樣式 */
#backtop:hover {
  background-color: var(--blue);
}